Page MenuHomePhabricator

[BitcodeReader] fix a logic error in vector type element validation
ClosedPublic

Authored by woodruffw on Sep 11 2021, 11:51 PM.

Details

Summary

The current code checks whether the vector's element type is a valid structure element type, rather than a valid vector element type. The two have separate implementations and but only accept very slightly different sets of types, which is probably why this wasn't caught before.

Diff Detail

Event Timeline

woodruffw created this revision.Sep 11 2021, 11:51 PM
woodruffw requested review of this revision.Sep 11 2021, 11:51 PM
Herald added a project: Restricted Project. · View Herald TranscriptSep 11 2021, 11:51 PM
woodruffw updated this revision to Diff 372593.Sep 14 2021, 5:13 PM

Increase the context for the patch.

Gentle ping for review.

xgupta accepted this revision.Oct 8 2021, 8:31 PM
xgupta added a subscriber: xgupta.

LGTM, Thanks.

This revision is now accepted and ready to land.Oct 8 2021, 8:31 PM

Thanks! I don't have commit access so I'll need someone else to do the merge :-)

xgupta added a comment.Oct 8 2021, 8:47 PM

just doing after a check-llvm.

This revision was landed with ongoing or failed builds.Oct 8 2021, 9:12 PM
This revision was automatically updated to reflect the committed changes.